[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: FC4



"Alastair McKinley" <amckinley03 googlemail com> wrote:


I just tried to run "yum update" this evening and this happened:


There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

  /usr/lib/python2.4/site-packages/cElementTree.so: undefined symbol:
PyUnicodeUCS4_DecodeUTF8

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.4.1 (#2, May  3 2005, 17:14:18)
[GCC 3.2.2 20030222 (Red Hat Linux 3.2.2-5)]

If you cannot solve this problem yourself, please go to
the yum faq at:
http://wiki.linux.duke.edu/YumFaq


Any ideas?

Alastair

   I'm not seeing that on my FC4 box.  I show the following components:


[root bend ~]# rpm -q --whatprovides  /usr/lib/python2.4/site-packages/cElementTree.so python-elementtree-1.2.6-4
[root bend ~]# rpm -q --whatprovides `which python`
python-2.4.3-8.FC4
[root bend ~]# rpm -q --whatprovides `which yum`
yum-2.4.1-1.fc4

and everything works as expected:

[root bend ~]# yum update; date
Setting up Update Process
Setting up repositories
legacy-updates            100% |=========================|  951 B    00:00
freshrpms                 100% |=========================|  951 B    00:00
livna                     100% |=========================|  951 B    00:00
jpackage-fc               100% |=========================|  951 B    00:00
jpackage-generic          100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
updates-released          100% |=========================|  951 B    00:00
base                      100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 366 kB    00:02
jpackage-g: ################################################## 1597/1597
Added 3 new packages, deleted 3 old in 0.98 seconds
No Packages marked for Update/Obsoletion
Tue Sep 19 15:48:14 MDT 2006

Same result on a FC4 x86_64 box.


Since Python is complaining about some sort of unicode symbol, any  chance you have a peculiar language or character set specified?
Cheers,
Dave

--
Politics, n. Strife of interests masquerading as a contest of principles.
-- Ambrose Bierce


Hi Dave,

Thanks for your help.  This is what I've got:


[root d6173 alastair]# rpm -q --whatprovides /usr/lib/python2.4/site-packages/cElementTree.so
python-elementtree-1.2.6-4
[root d6173 alastair]# rpm -q --whatprovides `which python`
python-2.4.3-8.FC4
[root d6173 alastair]# rpm -q --whatprovides `which yum`
yum-2.4.1-1.fc4
[root d6173 alastair]# yum update
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   /usr/lib/python2.4/site-packages/cElementTree.so: undefined symbol: PyUnicodeUCS4_DecodeUTF8

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.4.1 (#2, May  3 2005, 17:14:18)
[GCC 3.2.2 20030222 (Red Hat Linux 3.2.2-5)]

If you cannot solve this problem yourself, please go to
the yum faq at:
  http://wiki.linux.duke.edu/YumFaq



I've been using yum with virtually no problems for a year.  As far as I know (!) I havent changed any settings related to character sets, in fact I dont even know how to check.
What should I do to check this out?

Is it possible I have a corrupt shared object file? 

Thanks again,

Alastair

P.S. Apologies for the stupid subject line, I sent the email before I wrote anything descritive in there!




[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]